function f = powell(x1,x2,x3,x4)
  % The Powell function. See Dennis & Schnabel, Appendix B, problem
  % #1. (The "regular" Powell function is simply the Extended Powell
  % with m=1).
  %
  % This function has a minimum at x=(0,0,0,0) with f(x) == 0. The
  % suggested starting point is x0=(3,-1,0,1).
  %
  f = (x1 + 10*x2)^2 + 5*(x3 - x4)^2;
  f = f + (x2 - 2*x3)^4 + 10*(x1 - x4)^4;
end
